Create a key
curl --request POST \
--url https://control.api.niadra.com/v1/sources/{source_id}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scopes": [
"context",
"search",
"track",
"act"
]
}
'import requests
url = "https://control.api.niadra.com/v1/sources/{source_id}/keys"
payload = { "scopes": ["context", "search", "track", "act"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({scopes: ['context', 'search', 'track', 'act']})
};
fetch('https://control.api.niadra.com/v1/sources/{source_id}/keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"key_id": "k7Q2mX9a",
"source_id": "0192f0a0-5f60-7172-8d83-9e0f1a2b3c45",
"scopes": [
"context",
"search",
"track",
"act"
],
"status": "active",
"created_at": "2026-09-22T12:00:00Z",
"expires_at": null,
"revoked_at": null
},
"secret": "nia_sk_live_us-east-1_acme-prod_k7Q2mX9a_Vh3pL9sQ2rT8wZ4yB6nD1fG5"
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Control: sources and keys
Create a key
A source key with scopes. The secret is shown once.
POST
/
v1
/
sources
/
{source_id}
/
keys
Create a key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Defaults follow the source's audience.
Available options:
track, act, context, search, identify, admin, analytics 
